## guayadeque 0.2.5

=== CMakeLists.txt ===
# define minimum cmake version
cmake_minimum_required(VERSION 2.4)
 
project( Guayadeque )

IF( NOT EXISTS ${CMAKE_INSTALL_PREFIX} )
	SET( CMAKE_INSTALL_PREFIX  "/usr" )
ENDIF( NOT EXISTS ${CMAKE_INSTALL_PREFIX} )

MESSAGE( STATUS "Using install prefix ${CMAKE_INSTALL_PREFIX} ..." )

FIND_PACKAGE(PkgConfig)

SET( 	SEARCH_LIBS
	/usr/lib
	/usr/local/lib )


#SET(CMAKE_FIND_LIBRARY_PREFIXES "")
#SET(CMAKE_FIND_LIBRARY_SUFFIXES ".lib")

SET(wxWidgets_USE_LIBS base core adv net html xml aui)

FIND_PACKAGE(wxWidgets)

IF( NOT wxWidgets_FOUND)
    MESSAGE( FATAL_ERROR "wxWidgets not found!" )
ENDIF( NOT wxWidgets_FOUND)

PKG_CHECK_MODULES( GSTREAMER gstreamer-0.10 )
IF( NOT GSTREAMER_LIBRARIES )
	MESSAGE( FATAL_ERROR "gstreamer-0.10 not found!" )
ENDIF( NOT GSTREAMER_LIBRARIES )

PKG_CHECK_MODULES( SQLITE3 sqlite3 )
IF( NOT SQLITE3_LIBRARIES )
	MESSAGE( FATAL_ERROR "sqlite3 not found!" )
ENDIF( NOT SQLITE3_LIBRARIES )

PKG_CHECK_MODULES( LIBCURL libcurl )
IF( NOT LIBCURL_LIBRARIES )
	MESSAGE( FATAL_ERROR "libcurl not found!" )
ENDIF( NOT LIBCURL_LIBRARIES )

PKG_CHECK_MODULES( LIBTAG taglib )
IF( NOT LIBTAG_LIBRARIES )
	MESSAGE( FATAL_ERROR "taglib not found!" )
ENDIF( NOT LIBTAG_LIBRARIES )


#PKG_CHECK_MODULES( LIBTAGEXTRAS taglib-extras )
#IF( NOT LIBTAGEXTRAS_LIBRARIES )
#	MESSAGE( FATAL_ERROR "taglib-extras not found!" )
#ENDIF( NOT LIBTAGEXTRAS_LIBRARIES )

PKG_CHECK_MODULES( LIBDBUS dbus-1 )
IF( NOT LIBDBUS_LIBRARIES )
	MESSAGE( FATAL_ERROR "dbus not found!" )
ENDIF( NOT LIBDBUS_LIBRARIES )

PKG_CHECK_MODULES( LIBFLAC flac )
IF( NOT LIBFLAC_LIBRARIES )
	MESSAGE( FATAL_ERROR "libflac not found!" )
ENDIF( NOT LIBFLAC_LIBRARIES )


# Include wxWidgets macros
INCLUDE(${wxWidgets_USE_FILE})

#    
#ADD_DEFINITIONS(${wxWidgets_DEFINITIONS})
ADD_DEFINITIONS( -Wall -O2 )
 
# We define the include paths here, our minimal source dir is one, 
# and also the include dirs defined by wxWidgets
INCLUDE_DIRECTORIES(${Guayadeque_SOURCE_DIR}
			${Guayadeque_SOURCE_DIR}/src
                        ${wxWidgets_INCLUDE_DIRS}
                        ${GSTREAMER_INCLUDE_DIRS}
			${SQLITE3_INCLUDE_DIRS}
			${LIBCURL_INCLUDE_DIRS}
			${LIBTAG_INCLUDE_DIRS}
			${LIBMP4_INCLUDE_DIRS}
              		${LIBDBUS_INCLUDE_DIRS}
                         )
 
ADD_SUBDIRECTORY( src )
ADD_SUBDIRECTORY( po )

# default configuration and desktop icon
INSTALL( FILES guayadeque.desktop DESTINATION share/applications )
INSTALL( FILES guayadeque.png DESTINATION share/pixmaps/ )
INSTALL( FILES guayadeque.png DESTINATION share/app-install/icons/ )
INSTALL( FILES guayadeque.default.conf DESTINATION share/guayadeque )
INSTALL( FILES equalizers.default.conf DESTINATION share/guayadeque )

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

ADD_CUSTOM_TARGET(debug
  ${CMAKE_COMMAND} -DMAKE_BUILD_TYPE:STRING=Debug ${PROJECT_SOURCE_DIR})

ADD_CUSTOM_TARGET(release
  ${CMAKE_COMMAND} -DMAKE_BUILD_TYPE:STRING=Release ${PROJECT_SOURCE_DIR})

=== po/CMakeLists.txt ===

FIND_PACKAGE( Gettext REQUIRED )

MACRO(GETTEXT_PROCESS_POFILE _lang _moFile _poFile )
   GET_FILENAME_COMPONENT(_moBasename ${_moFile} NAME_WE)
   GET_FILENAME_COMPONENT(_absmoFile ${_moFile} ABSOLUTE)
   GET_FILENAME_COMPONENT(_absFile ${_poFile} ABSOLUTE)
   SET(_gmoFile ${_absmoFile})
   ADD_CUSTOM_COMMAND(
      OUTPUT ${_gmoFile}
      COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_absmoFile} ${_absFile}
      #DEPENDS ${_absmoFile} ${_absFile}
   )
   INSTALL(FILES ${_gmoFile} DESTINATION share/locale/${_lang}/LC_MESSAGES )
   #ADD_CUSTOM_TARGET( translations ALL DEPENDS ${_gmoFile})
   ADD_CUSTOM_TARGET( ${_moBasename}.${_lang}.mo ALL DEPENDS ${_gmoFile} )
ENDMACRO(GETTEXT_PROCESS_POFILE )

# Current languages
ADD_SUBDIRECTORY( es )
ADD_SUBDIRECTORY( uk )
ADD_SUBDIRECTORY( it )
ADD_SUBDIRECTORY( de )

=== src/CMakeLists.txt ===
IF( DEBUG )
	ADD_DEFINITIONS( -g )
ENDIF( DEBUG )

IF( PROFILE )
	ADD_DEFINITIONS( -pg )
ENDIF( PROFILE )

INCLUDE_DIRECTORIES(
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/wx
	${CMAKE_CURRENT_SOURCE_DIR}/wx/curl
	${CMAKE_CURRENT_SOURCE_DIR}/wxsqlite3
        ${CMAKE_CURRENT_SOURCE_DIR}/dbus
	${CMAKE_CURRENT_SOURCE_DIR}/hmac
	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras
	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras/asf
	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras/mp4
	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras/wav
	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras/audible
	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras/rmff
        ${GSTREAMER_INCLUDE_DIRS}
        ${SQLITE3_INCLUDE_DIRS}
        ${LIBCURL_INCLUDE_DIRS}
        ${LIBTAG_INCLUDE_DIRS}
	${LIBMP4_INCLUDE_DIRS}
	${LIBFLAC_INCLUDE_DIRS}
        ${LIBDBUS_INCLUDE_DIRS} 
)

SET( WXSQLITE3_SOURCES
	wxsqlite3/wxsqlite3.cpp 
)

SET( CURL_SOURCES
	curl/base.cpp
	curl/http.cpp 
)

SET( DBUS_SOURCES
        dbus/gudbus.cpp
        dbus/gudbus.h
	dbus/mpris.cpp
	dbus/mpris.h
	dbus/mmkeys.cpp
	dbus/mmkeys.h
	dbus/gsession.cpp
	dbus/gsession.h
)

SET( HMAC_SHA2_SOURCES
	hmac/hmac_sha2.c
	hmac/hmac_sha2.h
	hmac/sha2.c
	hmac/sha2.h
)

ADD_EXECUTABLE( guayadeque
	AlListBox.cpp
	AlListBox.h
	ArListBox.cpp
	ArListBox.h
	ArrayStringArray.cpp
	ArrayStringArray.h
	AudioScrobble.cpp
	AudioScrobble.h
	Commands.h
	Config.cpp
	Config.h
	ConfirmExit.cpp
	ConfirmExit.h
	CoverEdit.cpp
	CoverEdit.h
	CoverFrame.cpp
	CoverFrame.h
	Db.cpp
	Db.h
	DbLibrary.cpp
	DbLibrary.h
	DbCache.cpp
	DbCache.h
	AutoPulseGauge.cpp
	AutoPulseGauge.h
	GeListBox.cpp
	GeListBox.h
	Images.cpp
	Images.h
	ItemListBox.cpp
	ItemListBox.h
	LabelEditor.cpp
	LabelEditor.h
	LastFM.cpp
	LastFM.h
	LastFMPanel.cpp
	LastFMPanel.h
	LibPanel.cpp
	LibPanel.h
	LyricsPanel.cpp
	LyricsPanel.h
	MainApp.cpp
	MainApp.h
	MainFrame.cpp
	MainFrame.h
	MD5.cpp
	MD5.h
	MediaCtrl.cpp
	MediaCtrl.h
	PlayerPanel.cpp
	PlayerPanel.h
	PlayList.cpp
	PlayList.h
	Preferences.cpp
	Preferences.h
	RadioGenreEditor.cpp
	RadioGenreEditor.h
	RadioPanel.cpp
	RadioPanel.h
	Shoutcast.cpp
	Shoutcast.h
	SoListBox.cpp
	SoListBox.h
	SplashWin.cpp
	SplashWin.h
	StatusBar.cpp
	StatusBar.h
	TagInfo.cpp
	TagInfo.h
	TaListBox.cpp
	TaListBox.h
	TaskBar.cpp
	TaskBar.h
	ThreadArray.h
	TrackEdit.cpp
	TrackEdit.h
	Utils.cpp
	Utils.h
	VolumeFrame.cpp
	VolumeFrame.h
        OnlineLinks.cpp
 	OnlineLinks.h
	LibUpdate.cpp
	LibUpdate.h
	CoverFetcher.cpp
	CoverFetcher.h
	Google.cpp
	Google.h
	Amazon.cpp
	Amazon.h
	RatingCtrl.cpp
	RatingCtrl.h
	PlayListPanel.cpp
	PlayListPanel.h
	DynamicPlayList.cpp
	DynamicPlayList.h
        ListView.cpp
	ListView.h
	PLSoListBox.cpp
	PLSoListBox.h
	Base64.cpp
	Base64.h
	ApeTag.cpp
	ApeTag.h
	Discogs.cpp
	Discogs.h
	MusicDns.cpp
	MusicDns.h
	MusicBrainz.cpp
	MusicBrainz.h
	Podcasts.cpp
	Podcasts.h
	PodcastsPanel.cpp
	PodcastsPanel.h
	ChannelEditor.cpp
	ChannelEditor.h
	NewChannel.cpp
	NewChannel.h
	RadioEditor.cpp
	RadioEditor.h
	PlayListAppend.cpp
	PlayListAppend.h
	TrackChangeInfo.cpp
	TrackChangeInfo.h
	Equalizer.cpp
	Equalizer.h
	ShowImage.cpp
	ShowImage.h
	StaticBitmap.cpp
	StaticBitmap.h
	LastFMCovers.cpp
	LastFMCovers.h
	PlayListFile.cpp
	PlayListFile.h
	AuiNotebook.cpp
	AuiNotebook.h
	PlayerFilters.cpp
	PlayerFilters.h
	Vumeters.cpp
	Vumeters.h
	AlbumBrowser.cpp
	AlbumBrowser.h
	SelCoverFile.cpp
	SelCoverFile.h
	AutoScrollText.cpp
	AutoScrollText.h
	${WXSQLITE3_SOURCES}
	${CURL_SOURCES}
    	${DBUS_SOURCES}
	${HMAC_SHA2_SOURCES}
       )

TARGET_LINK_LIBRARIES( guayadeque
	${wxWidgets_LIBRARIES}
	${GSTREAMER_LIBRARIES}
	${SQLITE3_LIBRARIES}
	${LIBCURL_LIBRARIES}
        ${LIBTAG_LIBRARIES}
	${LIBMP4_LIBRARIES}
	${LIBFLAC_LIBRARIES}
        ${LIBDBUS_LIBRARIES}
	)

INSTALL( TARGETS guayadeque
         RUNTIME DESTINATION bin )

=== debian/changelog ===
guayadeque (0.2.5-2) unstable; urgency=medium

  * Add .gitignore file.
  * Update Standards-Version to 3.9.0.
  * Change my email address.
  * debian/rules: Clean-up.
  * Remove reference to /usr/share/common-licenses/BSD to make lintian
    happy.
  * Don't link against OpenSSL, replace libcurl4-openssl-dev with
    libcurl4-gnutls-dev in the Build-Depends field (Closes: #588226);
    GPL violation, bump urgency to medium.
  * Add debian/gbp.conf file.

 -- Alessio Treglia <alessio@debian.org>  Tue, 06 Jul 2010 12:25:06 +0200

guayadeque (0.2.5-1) unstable; urgency=low

  * Initial release (Closes: #579837).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 02 May 2010 02:31:10 +0200

=== debian/control ===
Source: guayadeque
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.3.7~),
 cmake (>= 2.6),
 gettext,
 libcurl4-gnutls-dev (>= 7.18.2),
 libgstreamer0.10-dev,
 libsqlite3-dev,
 libwxgtk2.8-dev,
 libtagc0-dev,
 libdbus-1-dev,
 libflac-dev
Standards-Version: 3.9.0
Homepage: http://sourceforge.net/projects/guayadeque
Vcs-Git: git://git.debian.org/pkg-multimedia/guayadeque.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/guayadeque.git

Package: guayadeque
Architecture: any
Depends: ${shlibs:Depends},
 gstreamer0.10-plugins-good,
 gstreamer0.10-plugins-base,
 ${misc:Depends}
Description: lightweight music player
 Guayadeque is a lightweight and easy-to-use music player that supports
 smart playlists and huge music collections.
 .
 Main features include:
  - Play mp3, ogg, flac, wma, mpc, mp4, ape, etc.
  - Read and write tags in all supported formats.
  - Allow to catalogue your music using labels. Any track, artist or album
    can have as many labels you want.
  - Smart play mode that add tracks that fit your music taste using the
    tracks currently in play list.
  - Ability to download covers manually or automatically
  - Suggest music using last.fm service.
  - Allow fast access to any music file by genre, artist, album, etc
  - Play shoutcast radios.
  - Allow to subscribe to podcasts and download all new episodes
    automatically or manually.
  - Dynamic or static play lists.
  - Tracks tag editor with automatically fetching of tags information for
    easily completion.
  - Lyrics downloads from different lyrics providers.
  - Easily expandable contextual links support. With it you can find
    information about a track, an artist or an album on your favourite site.
  - Easily expandable contextual commands support. For example you can right
    click on any album and click in option to record the album in a burning
    application.
  - Option to copy the selection you want to a directory or device using a
    configurable pattern.
  - Last.fm audioscrobbling support.
  - Partial GNOME session support to detect when GNOME session is about to
    close and save the play list so it can continue next time with the same
    tracks.
  - Allow to resume play status and position when closed and reopened.
  - You can rate the tracks from 0 to 5 stars.
  - MPRIS D-Bus interface support so it can easily controlled from music
    applets for example and many more.

=== debian/rules ===
#!/usr/bin/make -f

# Path to the debian directory
DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
PACKAGE = guayadeque

%:
	dh --buildsystem=cmake $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/guayadeque/usr/share/app-install/

override_dh_installchangelogs:
	dh_installchangelogs changelog

get-orig-source:
	cd $(DEBIAN_DIR)/.. && uscan --force-download --no-symlink
	tar xf ../$(PACKAGE)-$(UPSTREAM_VERSION).tar.bz2
	rm ../$(PACKAGE)-$(UPSTREAM_VERSION).tar.bz2
	tar cf ../$(PACKAGE)_$(UPSTREAM_VERSION).orig.tar \
	--exclude="*.svn*" $(PACKAGE)-$(UPSTREAM_VERSION)
	bzip2 -9f ../$(PACKAGE)_$(UPSTREAM_VERSION).orig.tar
	rm -fr $(PACKAGE)-$(UPSTREAM_VERSION)

=== debian/watch ===
version=3
http://sf.net/guayadeque/guayadeque-(.*)\.tar\.bz2

## guayadeque 0.2.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
 # define minimum cmake version
 cmake_minimum_required(VERSION 2.4)
+if(POLICY CMP0005)
+   cmake_policy(SET CMP0005 NEW)
+endif(POLICY CMP0005)
+
  
 project( Guayadeque )
 
@@ -32,6 +36,11 @@
 	MESSAGE( FATAL_ERROR "gstreamer-0.10 not found!" )
 ENDIF( NOT GSTREAMER_LIBRARIES )
 
+PKG_CHECK_MODULES( GSTREAMER_CTRL gstreamer-controller-0.10 )
+IF( NOT GSTREAMER_CTRL_LIBRARIES )
+	MESSAGE( FATAL_ERROR "gstreamer-controller-0.10 not found!" )
+ENDIF( NOT GSTREAMER_CTRL_LIBRARIES )
+
 PKG_CHECK_MODULES( SQLITE3 sqlite3 )
 IF( NOT SQLITE3_LIBRARIES )
 	MESSAGE( FATAL_ERROR "sqlite3 not found!" )
@@ -42,9 +51,14 @@
 	MESSAGE( FATAL_ERROR "libcurl not found!" )
 ENDIF( NOT LIBCURL_LIBRARIES )
 
-PKG_CHECK_MODULES( LIBTAG taglib )
+PKG_CHECK_MODULES( LIBTAG taglib>=1.6.1)
 IF( NOT LIBTAG_LIBRARIES )
-	MESSAGE( FATAL_ERROR "taglib not found!" )
+	PKG_CHECK_MODULES( LIBTAG taglib>=1.6 )
+	IF( NOT LIBTAG_LIBRARIES )
+		MESSAGE( FATAL_ERROR "taglib 1.6 not found!" )
+	ENDIF( NOT LIBTAG_LIBRARIES )
+ELSE( NOT LIBTAG_LIBRARIES )
+	ADD_DEFINITIONS(-DTAGLIB_WITH_MP4_COVERS=1)
 ENDIF( NOT LIBTAG_LIBRARIES )
 
 
@@ -67,6 +81,21 @@
 # Include wxWidgets macros
 INCLUDE(${wxWidgets_USE_FILE})
 
+#
+IF( EXISTS ${PROJECT_SOURCE_DIR}/.svn )
+	# Probably a SVN workspace, determine revision level
+     	FIND_PACKAGE(Subversion)
+     	IF(Subversion_FOUND)
+        	Subversion_WC_INFO(${PROJECT_SOURCE_DIR} GUAYADEQUE)
+        	MESSAGE("Current revision is ${GUAYADEQUE_WC_REVISION}")
+		SET( _GUREVISION_ ${GUAYADEQUE_WC_REVISION})
+        ELSE(Subversion_FOUND)
+        	SET( _GUREVISION_ "" )
+	ENDIF(Subversion_FOUND)
+ENDIF( EXISTS ${PROJECT_SOURCE_DIR}/.svn ) 
+
+CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/src/Version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/src/Version.h )
+
 #    
 #ADD_DEFINITIONS(${wxWidgets_DEFINITIONS})
 ADD_DEFINITIONS( -Wall -O2 )
@@ -77,6 +106,7 @@
 			${Guayadeque_SOURCE_DIR}/src
                         ${wxWidgets_INCLUDE_DIRS}
                         ${GSTREAMER_INCLUDE_DIRS}
+			${GSTREAMER_CTRL_INCLUDE_DIRS}
 			${SQLITE3_INCLUDE_DIRS}
 			${LIBCURL_INCLUDE_DIRS}
 			${LIBTAG_INCLUDE_DIRS}

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -21,3 +21,8 @@
 ADD_SUBDIRECTORY( uk )
 ADD_SUBDIRECTORY( it )
 ADD_SUBDIRECTORY( de )
+ADD_SUBDIRECTORY( fr )
+ADD_SUBDIRECTORY( is )
+ADD_SUBDIRECTORY( nb )
+ADD_SUBDIRECTORY( th )
+

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras/audible
 	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras/rmff
         ${GSTREAMER_INCLUDE_DIRS}
+	${GSTREAMER_CTRL_INCLUDE_DIRS}
         ${SQLITE3_INCLUDE_DIRS}
         ${LIBCURL_INCLUDE_DIRS}
         ${LIBTAG_INCLUDE_DIRS}
@@ -46,6 +47,8 @@
 	dbus/mmkeys.h
 	dbus/gsession.cpp
 	dbus/gsession.h
+	dbus/notify.cpp
+	dbus/notify.h
 )
 
 SET( HMAC_SHA2_SOURCES
@@ -77,6 +80,8 @@
 	Db.h
 	DbLibrary.cpp
 	DbLibrary.h
+	DbRadios.cpp
+	DbRadios.h
 	DbCache.cpp
 	DbCache.h
 	AutoPulseGauge.cpp
@@ -202,6 +207,30 @@
 	SelCoverFile.h
 	AutoScrollText.cpp
 	AutoScrollText.h
+	RoundButton.cpp
+	RoundButton.h
+	ToggleRoundButton.cpp
+	ToggleRoundButton.h
+	AuiDockArt.cpp
+	AuiDockArt.h
+	FileBrowser.cpp
+	FileBrowser.h
+	FileRenamer.cpp
+	FileRenamer.h
+	YeListBox.cpp
+	YeListBox.h
+	RaListBox.cpp
+	RaListBox.h
+	PcListBox.cpp
+	PcListBox.h
+	CoListBox.cpp
+	CoListBox.h
+        AAListBox.cpp
+	AAListBox.h
+	TimeLine.cpp
+	TimeLine.h
+	FieldEditor.cpp
+	FieldEditor.h
 	${WXSQLITE3_SOURCES}
 	${CURL_SOURCES}
     	${DBUS_SOURCES}
@@ -211,6 +240,7 @@
 TARGET_LINK_LIBRARIES( guayadeque
 	${wxWidgets_LIBRARIES}
 	${GSTREAMER_LIBRARIES}
+	${GSTREAMER_CTRL_LIBRARIES}
 	${SQLITE3_LIBRARIES}
 	${LIBCURL_LIBRARIES}
         ${LIBTAG_LIBRARIES}

=== po/is/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( is guayadeque.mo guayadeque.po )

=== debian/changelog ===
guayadeque (0.2.7-2) experimental; urgency=low

  * Add debian/source/local-options file.
  * Fix random crashed in Google cover search engine (LP: #645029).

 -- Alessio Treglia <alessio@debian.org>  Wed, 22 Sep 2010 11:36:02 +0200

guayadeque (0.2.7-1) experimental; urgency=low

  * Imported Upstream version 0.2.7
  * debian/rules: Use dh $@ --foo for compatibility with Debhelper 8.
  * Refresh patches.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 01 Sep 2010 10:04:35 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libtagc0-dev,
  libdbus-1-dev,
  libflac-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://sourceforge.net/projects/guayadeque
 Vcs-Git: git://git.debian.org/pkg-multimedia/guayadeque.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/guayadeque.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 PACKAGE = guayadeque
 
 %:
-	dh --buildsystem=cmake $@
+	dh $@ --buildsystem=cmake 
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON

## guayadeque 0.2.9

=== debian/changelog ===
guayadeque (0.2.9-2) unstable; urgency=low

  * Add -DBG package.
  * Build-depend on libgpod-dev.
  * Build-depend on libindicate-dev.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 Mar 2011 20:31:18 +0100

guayadeque (0.2.9-1) unstable; urgency=low

  * Imported Upstream version 0.2.9
  * Drop 02-google_cover_search_engine_crash.patch patch, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Fri, 25 Feb 2011 11:59:10 +0100

guayadeque (0.2.7-3) unstable; urgency=low

  * Upload to unstable.
  * Pass -Wl,--as-needed to the linker.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Feb 2011 13:39:39 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
  cmake (>= 2.6),
  gettext,
  libcurl4-gnutls-dev (>= 7.18.2),
+ libgpod-dev [!alpha !hppa !hurd-i386 !mips !mipsel],
  libgstreamer0.10-dev,
+ libindicate-dev [!alpha !hppa !hurd-i386 !mips !mipsel],
  libsqlite3-dev,
  libwxgtk2.8-dev,
  libtagc0-dev,
@@ -60,3 +62,15 @@
   - You can rate the tracks from 0 to 5 stars.
   - MPRIS D-Bus interface support so it can easily controlled from music
     applets for example and many more.
+
+Package: guayadeque-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: guayadeque (= ${binary:Version}),
+ ${misc:Depends}
+Description: lightweight music player - debugging symbols
+ Guayadeque is a lightweight and easy-to-use music player that supports
+ smart playlists and huge music collections.
+ .
+ This package provides the debugging symbols for guayadeque.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
 UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
 PACKAGE = guayadeque
+LDFLAGS+=-Wl,--as-needed
 
 %:
 	dh $@ --buildsystem=cmake 
@@ -18,6 +19,9 @@
 override_dh_installchangelogs:
 	dh_installchangelogs changelog
 
+override_dh_strip:
+	dh_strip --dbg-package=guayadeque-dbg
+
 get-orig-source:
 	cd $(DEBIAN_DIR)/.. && uscan --force-download --no-symlink
 	tar xf ../$(PACKAGE)-$(UPSTREAM_VERSION).tar.bz2

## guayadeque 0.3.1~dfsg0

=== po/CMakeLists.txt ===

FIND_PACKAGE( Gettext REQUIRED )

MACRO(GETTEXT_PROCESS_POFILE _lang _moFile _poFile )
   GET_FILENAME_COMPONENT(_moBasename ${_moFile} NAME_WE)
   GET_FILENAME_COMPONENT(_absmoFile ${_moFile} ABSOLUTE)
   GET_FILENAME_COMPONENT(_absFile ${_poFile} ABSOLUTE)
   ADD_CUSTOM_COMMAND(
      OUTPUT ${_absmoFile}
      COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_absmoFile} ${_absFile}
      DEPENDS ${_absFile}
   )
   INSTALL(FILES ${_absmoFile} DESTINATION share/locale/${_lang}/LC_MESSAGES )
   ADD_CUSTOM_TARGET( ${_moBasename}.${_lang}.mo ALL DEPENDS ${_absmoFile} )
ENDMACRO(GETTEXT_PROCESS_POFILE )

# Current languages
ADD_SUBDIRECTORY( es )
ADD_SUBDIRECTORY( uk )
ADD_SUBDIRECTORY( it )
ADD_SUBDIRECTORY( de )
ADD_SUBDIRECTORY( fr )
ADD_SUBDIRECTORY( is )
ADD_SUBDIRECTORY( nb )
ADD_SUBDIRECTORY( th )
ADD_SUBDIRECTORY( cs )
ADD_SUBDIRECTORY( ru )
ADD_SUBDIRECTORY( hu )
ADD_SUBDIRECTORY( sv )
ADD_SUBDIRECTORY( nl )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,12 @@
 IF( DEBUG )
 	ADD_DEFINITIONS( -g )
+	MESSAGE( "Adding debug symbols." )
 ENDIF( DEBUG )
 
 IF( PROFILE )
 	ADD_DEFINITIONS( -pg )
+	SET(CMAKE_EXE_LINKER_FLAGS "-pg -g")
+	MESSAGE( "Adding profiling code." )
 ENDIF( PROFILE )
 
 INCLUDE_DIRECTORIES(
@@ -13,20 +16,18 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/wxsqlite3
         ${CMAKE_CURRENT_SOURCE_DIR}/dbus
 	${CMAKE_CURRENT_SOURCE_DIR}/hmac
-	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras
-	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras/asf
-	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras/mp4
-	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras/wav
-	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras/audible
-	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras/rmff
+	${CMAKE_CURRENT_SOURCE_DIR}/execstream
         ${GSTREAMER_INCLUDE_DIRS}
 	${GSTREAMER_CTRL_INCLUDE_DIRS}
         ${SQLITE3_INCLUDE_DIRS}
         ${LIBCURL_INCLUDE_DIRS}
         ${LIBTAG_INCLUDE_DIRS}
-	${LIBMP4_INCLUDE_DIRS}
 	${LIBFLAC_INCLUDE_DIRS}
         ${LIBDBUS_INCLUDE_DIRS} 
+        ${LIBGIO_INCLUDE_DIRS} 
+	${LIBGPOD_INCLUDE_DIRS}
+	${LIBINDICATE_INCLUDE_DIRS}
+	${LIBAPPINDICATOR_INCLUDE_DIRS}
 )
 
 SET( WXSQLITE3_SOURCES
@@ -49,6 +50,8 @@
 	dbus/gsession.h
 	dbus/notify.cpp
 	dbus/notify.h
+	dbus/mpris2.cpp
+	dbus/mpris2.h
 )
 
 SET( HMAC_SHA2_SOURCES
@@ -229,8 +232,38 @@
 	AAListBox.h
 	TimeLine.cpp
 	TimeLine.h
-	FieldEditor.cpp
-	FieldEditor.h
+	Jamendo.cpp
+	Jamendo.h
+	Magnatune.cpp
+	Magnatune.h
+	GIO_Volume.cpp
+	GIO_Volume.h
+	PortableMedia.cpp
+	PortableMedia.h
+	Transcode.cpp
+	Transcode.h
+	CopyTo.cpp
+	CopyTo.h
+	LocationPanel.cpp
+	LocationPanel.h
+	CoverPanel.cpp
+	CoverPanel.h
+	Accelerators.cpp
+	Accelerators.h
+	AccelListBox.cpp
+	AccelListBox.h
+	AuiManagedPanel.cpp
+	AuiManagedPanel.h
+	EditWithOptions.cpp
+	EditWithOptions.h
+	TreeViewFilter.cpp
+	TreeViewFilter.h
+	TreePanel.cpp
+	TreePanel.h
+	TVSoListBox.cpp
+	TVSoListBox.h
+	TreeViewFilterEditor.cpp
+	TreeViewFilterEditor.h
 	${WXSQLITE3_SOURCES}
 	${CURL_SOURCES}
     	${DBUS_SOURCES}
@@ -244,9 +277,12 @@
 	${SQLITE3_LIBRARIES}
 	${LIBCURL_LIBRARIES}
         ${LIBTAG_LIBRARIES}
-	${LIBMP4_LIBRARIES}
 	${LIBFLAC_LIBRARIES}
         ${LIBDBUS_LIBRARIES}
+	${LIBGIO_LIBRARIES}
+	${LIBGPOD_LIBRARIES}
+	${LIBINDICATE_LIBRARIES}
+	${LIBAPPINDICATOR_LIBRARIES}
 	)
 
 INSTALL( TARGETS guayadeque

=== po/es/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( es guayadeque.mo guayadeque.po )

=== po/it/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( it guayadeque.mo guayadeque.po )

=== po/th/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( th guayadeque.mo guayadeque.po )

=== src/hmac/Makefile ===
all: hmac

hmac: hmac.o sha2.o
	$(CC) sha2.o hmac.o -o hmac

hmac.o: hmac_sha2.c hmac_sha2.h
	$(CC) -Wall -DTEST_VECTORS -c hmac_sha2.c -o hmac.o

sha2.o: sha2.c sha2.h
	$(CC) -c sha2.c -o sha2.o

clean:
	- rm -rf *.o hmac

=== debian/changelog ===
guayadeque (0.3.1~dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Strip wxsqlite3 stuff out of upstream's tarballs.
  * Update get-orig-source target in debian/rules.
  * Update gbp config file.
  * Bump Standards.
  * Build-depend on libwxsqlite3-2.8-dev
  * Enable parallel builds.
  * Link binaries against the system-wide copy of wxsqlite3.
  * Point sources to the correct wxcurl's headers location.
  * Update copyright file as per DEP-5
  * Improve debian/watch to handle the ~dfsg\d* suffix.

 -- Alessio Treglia <alessio@debian.org>  Sat, 14 May 2011 15:08:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.3.7~),
- cmake (>= 2.6),
+Build-Depends: cmake (>= 2.6),
+ debhelper (>= 7.3.7~),
  gettext,
  libcurl4-gnutls-dev (>= 7.18.2),
+ libdbus-1-dev,
+ libflac-dev,
  libgpod-dev [!alpha !hppa !hurd-i386 !mips !mipsel],
  libgstreamer0.10-dev,
  libindicate-dev [!alpha !hppa !hurd-i386 !mips !mipsel],
  libsqlite3-dev,
+ libtagc0-dev,
  libwxgtk2.8-dev,
- libtagc0-dev,
- libdbus-1-dev,
- libflac-dev
-Standards-Version: 3.9.1
+ libwxsqlite3-2.8-dev
+Standards-Version: 3.9.2
 Homepage: http://sourceforge.net/projects/guayadeque
 Vcs-Git: git://git.debian.org/pkg-multimedia/guayadeque.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/guayadeque.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 LDFLAGS+=-Wl,--as-needed
 
 %:
-	dh $@ --buildsystem=cmake 
+	dh $@ --buildsystem=cmake --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON
@@ -27,6 +27,8 @@
 	tar xf ../$(PACKAGE)-$(UPSTREAM_VERSION).tar.bz2
 	rm ../$(PACKAGE)-$(UPSTREAM_VERSION).tar.bz2
 	tar cf ../$(PACKAGE)_$(UPSTREAM_VERSION).orig.tar \
-	--exclude="*.svn*" $(PACKAGE)-$(UPSTREAM_VERSION)
+	--exclude-vcs --exclude=src/wx/wxsqlite3* \
+	--exclude=src/wxsqlite3 \
+	$(PACKAGE)-$(UPSTREAM_VERSION)
 	bzip2 -9f ../$(PACKAGE)_$(UPSTREAM_VERSION).orig.tar
 	rm -fr $(PACKAGE)-$(UPSTREAM_VERSION)

=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg\d*// \
http://sf.net/guayadeque/guayadeque-(.*)\.tar\.bz2

## guayadeque 0.3.5~ds0

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 #SET(CMAKE_FIND_LIBRARY_PREFIXES "")
 #SET(CMAKE_FIND_LIBRARY_SUFFIXES ".lib")
 
-SET(wxWidgets_USE_LIBS base core adv net html xml aui)
+SET(wxWidgets_USE_LIBS base core adv net html xml aui qa)
 
 FIND_PACKAGE(wxWidgets)
 
@@ -36,10 +36,10 @@
 	MESSAGE( FATAL_ERROR "gstreamer-0.10 not found!" )
 ENDIF( NOT GSTREAMER_LIBRARIES )
 
-PKG_CHECK_MODULES( GSTREAMER_CTRL gstreamer-controller-0.10 )
-IF( NOT GSTREAMER_CTRL_LIBRARIES )
-	MESSAGE( FATAL_ERROR "gstreamer-controller-0.10 not found!" )
-ENDIF( NOT GSTREAMER_CTRL_LIBRARIES )
+#PKG_CHECK_MODULES( GSTREAMER_CTRL gstreamer-controller-0.10 )
+#IF( NOT GSTREAMER_CTRL_LIBRARIES )
+#	MESSAGE( FATAL_ERROR "gstreamer-controller-0.10 not found!" )
+#ENDIF( NOT GSTREAMER_CTRL_LIBRARIES )
 
 PKG_CHECK_MODULES( SQLITE3 sqlite3 )
 IF( NOT SQLITE3_LIBRARIES )
@@ -77,6 +77,29 @@
 	MESSAGE( FATAL_ERROR "libflac not found!" )
 ENDIF( NOT LIBFLAC_LIBRARIES )
 
+PKG_CHECK_MODULES( LIBGIO gio-2.0 )
+IF( NOT LIBGIO_LIBRARIES )
+	MESSAGE( FATAL_ERROR "gio not found!" )
+ENDIF( NOT LIBGIO_LIBRARIES )
+
+PKG_CHECK_MODULES( LIBGPOD libgpod-1.0 )
+IF( NOT LIBGPOD_LIBRARIES )
+	MESSAGE( " libgpod-dev not found! No iPod support!!" )
+ELSE( NOT LIBGPOD_LIBRARIES )
+	ADD_DEFINITIONS(-DWITH_LIBGPOD_SUPPORT=1)
+ENDIF( NOT LIBGPOD_LIBRARIES )
+
+PKG_CHECK_MODULES( LIBINDICATE indicate )
+IF( NOT LIBINDICATE_LIBRARIES )
+	MESSAGE( " libindicate library not found! No sound menu support!!" )
+ELSE( NOT LIBINDICATE_LIBRARIES )
+	ADD_DEFINITIONS(-DWITH_LIBINDICATE_SUPPORT=1)
+ENDIF( NOT LIBINDICATE_LIBRARIES )
+
+PKG_CHECK_MODULES( LIBAPPINDICATOR appindicator-0.1 )
+IF( LIBAPPINDICATOR_LIBRARIES )
+	ADD_DEFINITIONS(-DWITH_LIBAPPINDICATOR_SUPPORT=1)
+ENDIF( LIBAPPINDICATOR_LIBRARIES )
 
 # Include wxWidgets macros
 INCLUDE(${wxWidgets_USE_FILE})
@@ -110,8 +133,11 @@
 			${SQLITE3_INCLUDE_DIRS}
 			${LIBCURL_INCLUDE_DIRS}
 			${LIBTAG_INCLUDE_DIRS}
-			${LIBMP4_INCLUDE_DIRS}
               		${LIBDBUS_INCLUDE_DIRS}
+              		${LIBGIO_INCLUDE_DIRS}
+			${LIBGPOD_INCLUDE_DIRS}
+			${LIBINDICATE_INCLUDE_DIRS}
+			${LIBAPPINDICATOR_INCLUDE_DIRS}
                          )
  
 ADD_SUBDIRECTORY( src )
@@ -120,9 +146,10 @@
 # default configuration and desktop icon
 INSTALL( FILES guayadeque.desktop DESTINATION share/applications )
 INSTALL( FILES guayadeque.png DESTINATION share/pixmaps/ )
-INSTALL( FILES guayadeque.png DESTINATION share/app-install/icons/ )
+#INSTALL( FILES guayadeque.png DESTINATION share/app-install/icons/ )
 INSTALL( FILES guayadeque.default.conf DESTINATION share/guayadeque )
 INSTALL( FILES equalizers.default.conf DESTINATION share/guayadeque )
+INSTALL( FILES lyrics_sources.xml DESTINATION share/guayadeque )
 
 CONFIGURE_FILE(
   "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -28,4 +28,8 @@
 ADD_SUBDIRECTORY( hu )
 ADD_SUBDIRECTORY( sv )
 ADD_SUBDIRECTORY( nl )
+ADD_SUBDIRECTORY( pt_BR )
+ADD_SUBDIRECTORY( pt )
+ADD_SUBDIRECTORY( el )
+ADD_SUBDIRECTORY( sk )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -252,6 +252,8 @@
 	Accelerators.h
 	AccelListBox.cpp
 	AccelListBox.h
+	AuiManagerPanel.cpp
+	AuiManagerPanel.h
 	AuiManagedPanel.cpp
 	AuiManagedPanel.h
 	EditWithOptions.cpp
@@ -264,6 +266,20 @@
 	TVSoListBox.h
 	TreeViewFilterEditor.cpp
 	TreeViewFilterEditor.h
+	Collections.cpp
+	Collections.h
+	MediaViewer.cpp
+	MediaViewer.h
+	MediaViewerLibrary.cpp
+	MediaViewerLibrary.h
+	iPodMedia.cpp
+	iPodMedia.h
+	ImportFiles.cpp
+	ImportFiles.h
+	SmartMode.cpp
+	SmartMode.h
+	Yahoo.cpp
+	Yahoo.h
 	${WXSQLITE3_SOURCES}
 	${CURL_SOURCES}
     	${DBUS_SOURCES}

=== po/cs/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( cs guayadeque.mo guayadeque.po )

=== po/de/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( de guayadeque.mo guayadeque.po )

=== po/el/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( el guayadeque.mo guayadeque.po )

=== po/fr/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( fr guayadeque.mo guayadeque.po )

=== po/hu/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( hu guayadeque.mo guayadeque.po )

=== po/nb/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( nb guayadeque.mo guayadeque.po )

=== po/nl/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( nl guayadeque.mo guayadeque.po )

=== po/pt/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( pt guayadeque.mo guayadeque.po )

=== po/pt_BR/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( pt_BR guayadeque.mo guayadeque.po )

=== debian/changelog ===
guayadeque (0.3.5~ds0-4ubuntu1) raring; urgency=low

  * Disable indicator, as mpris only is needed for sound menu integration?!

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 25 Mar 2013 04:08:28 +0000

guayadeque (0.3.5~ds0-4) unstable; urgency=low

  * libindicate-0.7 transition (Closes: #673811):
    - Refresh 04-libindicator_0.6.patch
    - Tigthen build-dep on libindicate-dev >= 0.6.92
  * Fix watch file.
  * Really link with --as-needed.

 -- Alessio Treglia <alessio@debian.org>  Mon, 21 May 2012 18:48:20 +0200

guayadeque (0.3.5~ds0-3) unstable; urgency=low

  * Let guayadeque build with libindicate-dev on all architectures.
  * Apply patch from Evgeni Golov to make guayadeque ready to build
    with libindicate 0.6. (Closes: #660868)
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 08 Mar 2012 07:59:38 +0100

guayadeque (0.3.5~ds0-2) unstable; urgency=low

  * Replace hurd-i386 with hurd-any.
  * Update B-D's blacklists: don't build with libgpod only on hurd-any,
    don't build with libdindicate on hurd-any, armhf and s390x.
  * Bump wxsqlite3 minimum requirement to 3.0.0.

 -- Alessio Treglia <alessio@debian.org>  Sun, 19 Feb 2012 17:28:31 +0100

guayadeque (0.3.5~ds0-1) unstable; urgency=low

  * New upstream release (LP: #930632):
    - Allow to select tracks from album browser zoon cover mode
    - Added load defaults in shortcuts preferences
    - Added cue support
    - Allow to change language from Preferences -> General
    - All playlists but the dynamic playlists with sort defined can be
      sorted by any criteria.
    - Added collections support. You can define as many collections as
      you want.
  * Re-implement get-orig-source from the scratch by using debian/repack.*
    scripts
  * Remove 04-mmkeys.patch, applied upstream.
  * Refresh other patches.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Sat, 11 Feb 2012 16:17:05 +0100

guayadeque (0.3.1~dfsg0-2) unstable; urgency=low

  * Make multimedia keys work on GNOME 3; thanks to Damyan Ivanov for
    the report. (Closes: #655561) (LP: #860600)

 -- Alessio Treglia <alessio@debian.org>  Thu, 12 Jan 2012 12:23:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,35 @@
 Source: guayadeque
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>
-Build-Depends: cmake (>= 2.6),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Alessio Treglia <alessio@debian.org>
+Build-Depends:
+ cmake (>= 2.6),
  debhelper (>= 7.3.7~),
  gettext,
  libcurl4-gnutls-dev (>= 7.18.2),
  libdbus-1-dev,
  libflac-dev,
- libgpod-dev [!alpha !hppa !hurd-i386 !mips !mipsel],
+ libgpod-dev [!hurd-any],
  libgstreamer0.10-dev,
- libindicate-dev [!alpha !hppa !hurd-i386 !mips !mipsel],
  libsqlite3-dev,
  libtagc0-dev,
  libwxgtk2.8-dev,
- libwxsqlite3-2.8-dev
-Standards-Version: 3.9.2
+ libwxsqlite3-2.8-dev (>> 3.0.0)
+Standards-Version: 3.9.3
 Homepage: http://sourceforge.net/projects/guayadeque
 Vcs-Git: git://git.debian.org/pkg-multimedia/guayadeque.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/guayadeque.git
 
 Package: guayadeque
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends:
+ gstreamer0.10-plugins-base,
  gstreamer0.10-plugins-good,
- gstreamer0.10-plugins-base,
- ${misc:Depends}
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: lightweight music player
  Guayadeque is a lightweight and easy-to-use music player that supports
  smart playlists and huge music collections.
@@ -68,7 +71,8 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: guayadeque (= ${binary:Version}),
+Depends:
+ guayadeque (= ${binary:Version}),
  ${misc:Depends}
 Description: lightweight music player - debugging symbols
  Guayadeque is a lightweight and easy-to-use music player that supports

=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS+=-Wl,--as-needed

export REPACK_SH=$(CURDIR)/debian/repack.sh

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/guayadeque/usr/share/app-install/

override_dh_installchangelogs:
	dh_installchangelogs changelog

override_dh_strip:
	dh_strip --dbg-package=guayadeque-dbg

get-orig-source:
	uscan --force-download

=== debian/watch ===
version=3
opts=dversionmangle=s/~ds\d*// \
http://sf.net/guayadeque/guayadeque-(.*)\.tar\.bz2 \
	debian sh debian/repack.stub

## guayadeque 0.3.5%7eds0

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: guayadeque
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
@@ -12,13 +11,14 @@
  libcurl4-gnutls-dev (>= 7.18.2),
  libdbus-1-dev,
  libflac-dev,
- libgpod-dev [!hurd-any],
+ libgpod-dev [!alpha !hppa !hurd-i386 !mips !mipsel],
  libgstreamer0.10-dev,
+ libindicate-dev [!alpha !hppa !hurd-i386 !mips !mipsel],
  libsqlite3-dev,
  libtagc0-dev,
  libwxgtk2.8-dev,
- libwxsqlite3-2.8-dev (>> 3.0.0)
-Standards-Version: 3.9.3
+ libwxsqlite3-2.8-dev
+Standards-Version: 3.9.2
 Homepage: http://sourceforge.net/projects/guayadeque
 Vcs-Git: git://git.debian.org/pkg-multimedia/guayadeque.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/guayadeque.git

## guayadeque 0.3.7~ds0

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,14 +51,20 @@
 	MESSAGE( FATAL_ERROR "libcurl not found!" )
 ENDIF( NOT LIBCURL_LIBRARIES )
 
-PKG_CHECK_MODULES( LIBTAG taglib>=1.6.1)
+PKG_CHECK_MODULES( LIBTAG taglib>=1.6.4)
 IF( NOT LIBTAG_LIBRARIES )
-	PKG_CHECK_MODULES( LIBTAG taglib>=1.6 )
+	PKG_CHECK_MODULES( LIBTAG taglib>=1.6.1)
 	IF( NOT LIBTAG_LIBRARIES )
-		MESSAGE( FATAL_ERROR "taglib 1.6 not found!" )
+		PKG_CHECK_MODULES( LIBTAG taglib>=1.6 )
+		IF( NOT LIBTAG_LIBRARIES )
+			MESSAGE( FATAL_ERROR "taglib 1.6 not found!" )
+		ENDIF( NOT LIBTAG_LIBRARIES )
+	ELSE( NOT LIBTAG_LIBRARIES )
+		ADD_DEFINITIONS(-DTAGLIB_WITH_MP4_COVERS=1)
 	ENDIF( NOT LIBTAG_LIBRARIES )
 ELSE( NOT LIBTAG_LIBRARIES )
 	ADD_DEFINITIONS(-DTAGLIB_WITH_MP4_COVERS=1)
+	ADD_DEFINITIONS(-DTAGLIB_WITH_APE_SUPPORT=1)
 ENDIF( NOT LIBTAG_LIBRARIES )
 
 
@@ -72,10 +78,10 @@
 	MESSAGE( FATAL_ERROR "dbus not found!" )
 ENDIF( NOT LIBDBUS_LIBRARIES )
 
-PKG_CHECK_MODULES( LIBFLAC flac )
-IF( NOT LIBFLAC_LIBRARIES )
-	MESSAGE( FATAL_ERROR "libflac not found!" )
-ENDIF( NOT LIBFLAC_LIBRARIES )
+#PKG_CHECK_MODULES( LIBFLAC flac )
+#IF( NOT LIBFLAC_LIBRARIES )
+#	MESSAGE( FATAL_ERROR "libflac not found!" )
+#ENDIF( NOT LIBFLAC_LIBRARIES )
 
 PKG_CHECK_MODULES( LIBGIO gio-2.0 )
 IF( NOT LIBGIO_LIBRARIES )
@@ -89,17 +95,38 @@
 	ADD_DEFINITIONS(-DWITH_LIBGPOD_SUPPORT=1)
 ENDIF( NOT LIBGPOD_LIBRARIES )
 
-PKG_CHECK_MODULES( LIBINDICATE indicate )
-IF( NOT LIBINDICATE_LIBRARIES )
-	MESSAGE( " libindicate library not found! No sound menu support!!" )
-ELSE( NOT LIBINDICATE_LIBRARIES )
+PKG_CHECK_MODULES( LIBINDICATE07 indicate-0.7 )
+IF( NOT LIBINDICATE07_LIBRARIES )
+	PKG_CHECK_MODULES( LIBINDICATE06 indicate-0.6 )
+	IF( NOT LIBINDICATE06_LIBRARIES )
+		PKG_CHECK_MODULES( LIBINDICATE indicate )
+		IF( NOT LIBINDICATE_LIBRARIES )
+			MESSAGE( " libindicate library not found! No sound menu support!!" )
+		ELSE( NOT LIBINDICATE_LIBRARIES )
+			ADD_DEFINITIONS(-DWITH_LIBINDICATE_SUPPORT=1)
+		ENDIF( NOT LIBINDICATE_LIBRARIES )
+	ELSE( NOT LIBINDICATE06_LIBRARIES )
+		ADD_DEFINITIONS(-DWITH_LIBINDICATE_SUPPORT=1)
+	ENDIF( NOT LIBINDICATE06_LIBRARIES )
+ELSE( NOT LIBINDICATE07_LIBRARIES )
 	ADD_DEFINITIONS(-DWITH_LIBINDICATE_SUPPORT=1)
-ENDIF( NOT LIBINDICATE_LIBRARIES )
+ENDIF( NOT LIBINDICATE07_LIBRARIES )
 
 PKG_CHECK_MODULES( LIBAPPINDICATOR appindicator-0.1 )
 IF( LIBAPPINDICATOR_LIBRARIES )
 	ADD_DEFINITIONS(-DWITH_LIBAPPINDICATOR_SUPPORT=1)
 ENDIF( LIBAPPINDICATOR_LIBRARIES )
+
+SET( ADD_WXSQLITE_SUPPORT 0 )
+PKG_CHECK_MODULES( LIBWXSQLITE3 wxsqlite3 )
+IF( NOT LIBWXSQLITE3_LIBRARIES )
+	PKG_CHECK_MODULES( LIBWXSQLITE3 wxsqlite3-2.8 )
+	IF( NOT LIBWXSQLITE3_LIBRARIES )
+		ADD_DEFINITIONS(-DADD_WXSQLITE_SUPPORT=1)
+		SET( ADD_WXSQLITE_SUPPORT 1 )
+		MESSAGE( "-- * Using internal wxSqlite support" )
+	ENDIF( NOT LIBWXSQLITE3_LIBRARIES )
+ENDIF( NOT LIBWXSQLITE3_LIBRARIES )
 
 # Include wxWidgets macros
 INCLUDE(${wxWidgets_USE_FILE})
@@ -137,7 +164,10 @@
               		${LIBGIO_INCLUDE_DIRS}
 			${LIBGPOD_INCLUDE_DIRS}
 			${LIBINDICATE_INCLUDE_DIRS}
+			${LIBINDICATE06_INCLUDE_DIRS}
+			${LIBINDICATE07_INCLUDE_DIRS}
 			${LIBAPPINDICATOR_INCLUDE_DIRS}
+			${LIBWXSQLITE3_INCLUDE_DIRS}
                          )
  
 ADD_SUBDIRECTORY( src )

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -32,4 +32,11 @@
 ADD_SUBDIRECTORY( pt )
 ADD_SUBDIRECTORY( el )
 ADD_SUBDIRECTORY( sk )
-
+ADD_SUBDIRECTORY( pl )
+ADD_SUBDIRECTORY( tr )
+ADD_SUBDIRECTORY( ja )
+ADD_SUBDIRECTORY( sr )
+ADD_SUBDIRECTORY( sr-latin )
+ADD_SUBDIRECTORY( bg )
+ADD_SUBDIRECTORY( ca_ES )
+ADD_SUBDIRECTORY( hr )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,26 +13,30 @@
 	${CMAKE_CURRENT_SOURCE_DIR}
 	${CMAKE_CURRENT_SOURCE_DIR}/wx
 	${CMAKE_CURRENT_SOURCE_DIR}/wx/curl
-	${CMAKE_CURRENT_SOURCE_DIR}/wxsqlite3
         ${CMAKE_CURRENT_SOURCE_DIR}/dbus
 	${CMAKE_CURRENT_SOURCE_DIR}/hmac
-	${CMAKE_CURRENT_SOURCE_DIR}/execstream
         ${GSTREAMER_INCLUDE_DIRS}
 	${GSTREAMER_CTRL_INCLUDE_DIRS}
         ${SQLITE3_INCLUDE_DIRS}
         ${LIBCURL_INCLUDE_DIRS}
         ${LIBTAG_INCLUDE_DIRS}
-	${LIBFLAC_INCLUDE_DIRS}
         ${LIBDBUS_INCLUDE_DIRS} 
         ${LIBGIO_INCLUDE_DIRS} 
 	${LIBGPOD_INCLUDE_DIRS}
 	${LIBINDICATE_INCLUDE_DIRS}
+	${LIBINDICATE06_INCLUDE_DIRS}
+	${LIBINDICATE07_INCLUDE_DIRS}
 	${LIBAPPINDICATOR_INCLUDE_DIRS}
-)
-
-SET( WXSQLITE3_SOURCES
-	wxsqlite3/wxsqlite3.cpp 
-)
+	${LIBWXSQLITE3_INCLUDE_DIRS}
+)
+
+IF( ADD_WXSQLITE_SUPPORT )
+	MESSAGE( "Including extra wxsqlite folder" )
+	INCLUDE_DIRECTORIES(
+		${CMAKE_CURRENT_SOURCE_DIR}/wxsqlite3
+	)
+ENDIF( ADD_WXSQLITE_SUPPORT )
+
 
 SET( CURL_SOURCES
 	curl/base.cpp
@@ -60,6 +64,12 @@
 	hmac/sha2.c
 	hmac/sha2.h
 )
+
+IF( ADD_WXSQLITE_SUPPORT )
+SET( WXSQLITE_SOURCES
+	wxsqlite3/wxsqlite3.cpp
+)
+ENDIF( ADD_WXSQLITE_SUPPORT )
 
 ADD_EXECUTABLE( guayadeque
 	AlListBox.cpp
@@ -280,10 +290,18 @@
 	SmartMode.h
 	Yahoo.cpp
 	Yahoo.h
-	${WXSQLITE3_SOURCES}
+	RadioProvider.cpp
+	RadioProvider.h
+	UserRadio.cpp
+	UserRadio.h
+	TuneInRadio.cpp
+	TuneInRadio.h
+	ShoutcastRadio.cpp
+	ShoutcastRadio.h
 	${CURL_SOURCES}
     	${DBUS_SOURCES}
 	${HMAC_SHA2_SOURCES}
+	${WXSQLITE_SOURCES}
        )
 
 TARGET_LINK_LIBRARIES( guayadeque
@@ -293,12 +311,14 @@
 	${SQLITE3_LIBRARIES}
 	${LIBCURL_LIBRARIES}
         ${LIBTAG_LIBRARIES}
-	${LIBFLAC_LIBRARIES}
         ${LIBDBUS_LIBRARIES}
 	${LIBGIO_LIBRARIES}
 	${LIBGPOD_LIBRARIES}
 	${LIBINDICATE_LIBRARIES}
+	${LIBINDICATE06_LIBRARIES}
+	${LIBINDICATE07_LIBRARIES}
 	${LIBAPPINDICATOR_LIBRARIES}
+	${LIBWXSQLITE3_LIBRARIES}
 	)
 
 INSTALL( TARGETS guayadeque

=== po/ja/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( ja guayadeque.mo guayadeque.po )

=== po/sr-latin/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( sr@latin guayadeque.mo guayadeque.po )

=== debian/changelog ===
guayadeque (0.3.7~ds0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to use wxWidgets 3.0, thanks to Damyan Ivanov for partial patch.
    (Closes: #749978)

 -- Olly Betts <olly@survex.com>  Mon, 18 Aug 2014 16:39:38 +1200

guayadeque (0.3.7~ds0-2) unstable; urgency=low

  * Enable debug builds. (Closes: #746368)
  * Bump debhelper to 9 to automatically enable hardening.

 -- Alessio Treglia <alessio@debian.org>  Tue, 29 Apr 2014 16:02:10 +0100

guayadeque (0.3.7~ds0-1) unstable; urgency=low

  * New upstream release.
  * Drop 01-desktop_file.patch, applied upstream.
  * Drop build-dependency on libflac-dev.
  * Update debian/copyright.
  * Drop 04-libindicator_0.6.patch, applied upstream.
  * Drop 02-wxsqlite3_linking.patch, applied by upstream.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 07 Mar 2014 11:34:34 +0000

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,18 @@
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
  cmake (>= 2.6),
- debhelper (>= 7.3.7~),
+ debhelper (>= 9~),
  gettext,
  libcurl4-gnutls-dev (>= 7.18.2),
  libdbus-1-dev,
- libflac-dev,
- libgpod-dev [!alpha !hppa !hurd-i386 !mips !mipsel],
+ libgpod-dev [!hurd-any],
  libgstreamer0.10-dev,
- libindicate-dev [!alpha !hppa !hurd-i386 !mips !mipsel],
+ libindicate-dev (>= 0.6.92),
  libsqlite3-dev,
  libtagc0-dev,
- libwxgtk2.8-dev,
- libwxsqlite3-2.8-dev
-Standards-Version: 3.9.2
+ libwxgtk3.0-dev,
+ libwxsqlite3-3.0-dev
+Standards-Version: 3.9.5
 Homepage: http://sourceforge.net/projects/guayadeque
 Vcs-Git: git://git.debian.org/pkg-multimedia/guayadeque.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/guayadeque.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export LDFLAGS+=-Wl,--as-needed
+export DEB_CXXFLAGS_MAINT_APPEND := -DNDEBUG
 
 export REPACK_SH=$(CURDIR)/debian/repack.sh
 
@@ -8,7 +9,7 @@
 	dh $@ --buildsystem=cmake --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON
+	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Debug -DCMAKE_SKIP_RPATH=ON
 
 override_dh_auto_install:
 	dh_auto_install
